import React, { useMemo } from 'react'
import TableData from '../../components/TableData'
import { columns } from './tableConfig'
import { useModel } from 'umi'
import HocError from '@/Hoc/HocError'
/**小说总数据*/
function Page() {
    const { state: { dataSource }, getBookOverview } = useModel('useData.useTableData')
    //加工数据
    const data = useMemo(() => {
        if (dataSource) {
            return dataSource?.map((item: any, index: number) => {
                item['id'] = index
                return item
            })
        }
        return []
    }, [dataSource])
    //  //获取排序列表
     const sortArr = useMemo(() => {
        let arr: any[] = []
        columns().map((item: any) => {
            if (typeof item.title === 'string') {
                arr.push({ title: item.title, value: item.dataIndex ,key:item.dataIndex })
            }
            if(typeof item.title === 'object' && typeof  item.title.props.children[0] === 'string' ){
                arr.push({ title: item.title, value: item.dataIndex ,key:item.dataIndex })
            }
        })
        return arr
    }, [columns])
    return <>
        <TableData
            isBook
            isType
            // isPlatform
            isTableDateArr
            isDownload
            // isTableDay
            // isZj
            isGroupTab={false}
            sortArr={sortArr}
            columns={columns}
            dataSource={data}
            ajax={getBookOverview}
            title='小说总数据'
            scroll={{y:600}}
            // isTdColor
        />
    </>
}

export default HocError(Page)